#include <bits/stdc++.h>


using namespace std;



void solve(int n, int k, int s)
{
    //query()
    //submit(vector<int>a)
    
    int suma = 0;
    vector<int>ans(n, 0);
    for(int i = 1; i < n; i++)
    {
        ans.push_back(query());
        suma += ans.back();
    }
    
    ans.push_back(s - suma);
    submit(ans);
}
